Redmine - Patch #29189

Display custom fields on group pages
2018-07-04 14:20 - Gregor Schmidt

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 4.0.0

Description

It's possible to add custom fields to groups, but they are no where displayed but in the edit view within the admin area.

The attached patch extends groups#show to also list custom fields defined for the group. It's targeted at r17428.

Associated revisions

Revision 17441 - 2018-07-10 09:02 - Go MAEDA
Display custom fields on group pages (#29189).

Contributed by Gregor Schmidt.

Revision 17442 - 2018-07-10 09:05 - Go MAEDA
Test for r17441 (#29189).

Contributed by Mizuki ISHIKAWA.

History

#1 - 2018-07-04 15:36 - Go MAEDA
- File screenshot-29189@2x.png added

This is a screenshot of /groups/:id page after applying the patch.

Home My page Projects Administration Help

Redmine

Groups » A Team

Gttributes

e Contact person: Joe Bloggs

\.

Members

e User Misc

#2 - 2018-07-04 15:48 - Go MAEDA

- Assignee set to Gregor Schmidt
Thank you for posting the patch. | think this patch improves the consistency of Ul.
But | wonder whether the heading "Attributes" is necessary. /users/:id page does not add such a heading when showing custom fields (see

http://www.redmine.org/users/347 for example). In addition, :label_attribute_plural is only used in
app/views/auth_sources/_form_auth_source_ldap.html.erb.

Do you think we can remove "<h3><%= I(:label_attribute_plural) %></h3>" from the patch?

#3 - 2018-07-04 16:10 - Gregor Schmidt
https://www.redmine.org/projects/redmine/repository/svn/revisions/17428
http://www.redmine.org/users/347

Thank you for reviewing this patch.

| don't have a strong opinion on this one. I've added the sub heading for cosmetic reasons. If you think it's not necessary, this is OK for me.

#4 - 2018-07-05 14:35 - Go MAEDA
- File 29189.patch added
- Assignee deleted (Gregor Schmidlt)

- Target version set to 4.1.0

| have slightly changed Gregor Schmidt's patch. Setting target version to 4.1.0.

#5 - 2018-07-05 15:08 - Marius BALTEANU

Go Maeda, lets have a basic test for this feature.

#6 - 2018-07-06 06:45 - Mizuki ISHIKAWA
- File add_test to_29189 patch.patch added

| wrote a test for 20189.patch.

#7 - 2018-07-06 09:11 - Gregor Schmidt

Thank you very much for providing a test case.

#8 - 2018-07-10 09:07 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed the patch and test with a slight change. Thank you all for the contribution.

Files

0001-Show-group-custom-fields-on-group-view-page.patch 998 Bytes 2018-07-04 Gregor Schmidt
screenshot-29189@2x.png 16.3 KB 2018-07-04 Go MAEDA
29189.patch 625 Bytes 2018-07-05 Go MAEDA
add_test_to_29189_patch.patch 1.3 KB 2018-07-06 Mizuki ISHIKAWA
